package com.kingdee.eas.custom.synctask.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SynPersonToPunchCardFacadeFactory
{
    private SynPersonToPunchCardFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.synctask.task.ISynPersonToPunchCardFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.task.ISynPersonToPunchCardFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("E86B4FB3") ,com.kingdee.eas.custom.synctask.task.ISynPersonToPunchCardFacade.class);
    }
    
    public static com.kingdee.eas.custom.synctask.task.ISynPersonToPunchCardFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.task.ISynPersonToPunchCardFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("E86B4FB3") ,com.kingdee.eas.custom.synctask.task.ISynPersonToPunchCardFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.synctask.task.ISynPersonToPunchCardFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.task.ISynPersonToPunchCardFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("E86B4FB3"));
    }
    public static com.kingdee.eas.custom.synctask.task.ISynPersonToPunchCardFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.task.ISynPersonToPunchCardFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("E86B4FB3"));
    }
}